<?php
	require_once dirname(__FILE__)."/dal/registryDAL.php";
	class registry{
		//基本模組設定
		public $productPageSize;			//每頁數量設置 產品資訊
		public $newsPageSize;				//每頁數量設置 最新消息
		public $faqPageSize;				//每頁數量設置 問與答
		public $bookPageSize;				//每頁數量設置 影音相本
		//網路資源設置
		public $lineTitle;					//LINE 標題
		public $lineQRCode;					//LINE QRCode
		public $fbFansURL;					//臉書粉絲團 網址
		public $fbFansFriendFace;			//臉書粉絲團 臉書模組 好友頭像
		public $fbFansCoverPhoto;			//臉書粉絲團 臉書模組 封面
		public $fbFansPagePost;				//臉書粉絲團 臉書模組 頁面內容
		public $fbFansSidePageShow;			//臉書粉絲團 內頁顯示
		public $fbFansSidePageType;			//臉書粉絲團 內頁顯示樣式
		public $fbFansLOGO;					//臉書粉絲團 內頁自訂LOGO
		public $googlemapAddress;			//Google MAP 地址
		public $googlemapIndex;				//Google MAP 首頁顯示
		public $googlemapSidePage;			//Google MAP 側邊顯示
		public $googlemapSidePageShow;		//Google MAP 側邊顯示(內頁選擇是否顯示)
		public $googlemapMain;				//Google MAP 聯絡表單顯示
		public $youtubeURL;					//Youtube 分享網址
		public $youtubeSidePage;			//Youtube 內頁顯示
		public $youtubeSidePageShow;		//Youtube 內頁顯示(內頁選擇是否顯示)
		public $headHTML;					//Google Analytics 原始碼
		public $bodyTopHTML;				//Google Tag Manager 原始碼
		//首頁設置
		public $indexListType;				//展示列表 展示項目
		public $indexAboutIntroduction;		//關於我們 簡介
		public $indexAboutImage;			//關於我們 圖片
		public $indexAboutLink;				//關於我們 超連結
		public $indexCustomTitle1;			//自訂欄位1 標題
		public $indexCustomContent1;		//自訂欄位1 內容
		public $indexCustomTitle2;			//自訂欄位2 標題
		public $indexCustomContent2;		//自訂欄位2 內容
		public $indexCustomTitle3;			//自訂欄位3 標題
		public $indexCustomContent3;		//自訂欄位3 內容
		//系統
		public $ModifiedTime;				//最後更新時間
		//首頁廣告設置
		public $pageBannerType;				//橫幅廣告設置 內頁廣告
		//小廣告設置
		public $smallPictureShow;			//小廣告設置 內頁廣告
		//側邊商品分類列表設置
		public $categorySidePageShow;		//側邊商品分類列表設置 側邊顯示(內頁選擇是否顯示)
		//基本設置
		public $webName;					//網站資訊 網站名稱
		public $webEmail;					//網站資訊 客服信箱
		public $webEmailisShow;				//網站資訊 客服信箱 顯示在聯絡我們頁面
		public $webAddress;					//網站資訊 聯絡地址
		public $webAddressisShow;			//網站資訊 聯絡地址 顯示在聯絡我們頁面
		public $webPhone;					//網站資訊 聯絡電話
		public $webMobile;					//網站資訊 聯絡手機
		public $webPhoneisShow;				//網站資訊 聯絡電話 顯示在聯絡我們頁面
		public $webFax;						//網站資訊 聯絡傳真
		public $webFaxisShow;				//網站資訊 聯絡傳真 顯示在聯絡我們頁面
		public $webType;					//網站設定 網站類型
		public $transPrice;					//網站設定 網站類型-簡易型購物網站 運費
		public $transFreePrice;				//網站設定 網站類型-簡易型購物網站 免運金額
		public $systemEmail1;				//網站設定 系統信箱1
		public $systemEmail2;				//網站設定 系統信箱2
		public $systemEmail3;				//網站設定 系統信箱3
		public $systemEmail4;				//網站設定 系統信箱4
		public $systemEmail5;				//網站設定 系統信箱5
		public $sendMailType;				//寄件信箱設定 信箱類型
		public $sendMailAddress;			//寄件信箱設定 信箱
		public $sendMailPassword;			//寄件信箱設定 密碼
		public $sendMailHost;				//寄件信箱設定 主機位置
		public $sendMailPort;				//寄件信箱設定 通訊埠
		public $sendMailSMTPSecure;			//寄件信箱設定 加密方式
		public $sendMailSMTPAuth;			//寄件信箱設定 安全驗證
		//SEO設定
		public $webTitle;					//SEO資訊 網站標題
		public $webKeyword;					//SEO資訊 網站關鍵字
		public $webDescription;				//SEO資訊 網站描述
		public $webH1;						//SEO資訊 H1標題
		public $webMarquee;					//SEO資訊 跑馬燈
		public $webCopy;					//SEO資訊 版權宣告
		public $webFooter;					//SEO資訊 頁腳設定-蘋果
		//跳轉設置
		public $webJumpType;				//跳轉設置 跳轉類型
		public $webJumpImage;				//跳轉設置 跳轉圖片
		public $webJumpLink;				//跳轉設置 跳轉連結
		//版型設置
		public $webTemplates;				//版型路徑目錄
		//聯絡我們設置
		public $sideNavShow;				//聯絡我們資訊 內頁顯示
		public $ContactName;				//聯絡我們資訊 聯絡我們標題
		public $webContact;					//聯絡我們資訊 給客戶的話		
		//線上訂單設置
		public $OrderName;					//聯絡我們資訊 聯絡我們標題
		public $webOrder;					//線上訂單資訊 線上購物說明
		public $LineOpen;
		//Demo圖片設置
		public $DemoImage1;
		public $DemoImage2;
		//台灣IP封鎖設定
		public $TIPClose;
		public $webPopUpBox;				//彈跳視窗

		public function registry(){
			$this->productPageSize = $this->getRegistryValue("productPageSize");
			$this->newsPageSize = $this->getRegistryValue("newsPageSize");
			$this->faqPageSize = $this->getRegistryValue("faqPageSize");
			$this->bookPageSize = $this->getRegistryValue("bookPageSize");
			$this->lineTitle = $this->getRegistryValue("lineTitle");
			$this->lineQRCode = $this->getRegistryValue("lineQRCode");
			$this->fbFansURL = $this->getRegistryValue("fbFansURL");
			$this->fbFansFriendFace = $this->getRegistryValue("fbFansFriendFace");
			$this->fbFansCoverPhoto = $this->getRegistryValue("fbFansCoverPhoto");
			$this->fbFansPagePost = $this->getRegistryValue("fbFansPagePost");
			$this->fbFansSidePageShow = $this->getRegistryValue("fbFansSidePageShow");
			$this->fbFansSidePageType = $this->getRegistryValue("fbFansSidePageType");
			$this->fbFansLOGO = $this->getRegistryValue("fbFansLOGO");
			$this->googlemapAddress = $this->getRegistryValue("googlemapAddress");
			$this->googlemapIndex = $this->getRegistryValue("googlemapIndex");
			$this->googlemapSidePage = $this->getRegistryValue("googlemapSidePage");
			$this->googlemapSidePageShow = $this->getRegistryValue("googlemapSidePageShow");
			$this->googlemapMain = $this->getRegistryValue("googlemapMain");
			$this->youtubeURL = $this->getRegistryValue("youtubeURL");
			$this->youtubeSidePage = $this->getRegistryValue("youtubeSidePage");
			$this->youtubeSidePageShow = $this->getRegistryValue("youtubeSidePageShow");
			$this->headHTML = $this->getRegistryValue("headHTML");
			$this->bodyTopHTML = $this->getRegistryValue("bodyTopHTML");
			$this->indexListType = $this->getRegistryValue("indexListType");
			$this->indexAboutIntroduction = $this->getRegistryValue("indexAboutIntroduction");
			$this->indexAboutImage = $this->getRegistryValue("indexAboutImage");
			$this->indexAboutLink = $this->getRegistryValue("indexAboutLink");
			$this->indexCustomTitle1 = $this->getRegistryValue("indexCustomTitle1");
			$this->indexCustomContent1 = $this->getRegistryValue("indexCustomContent1");
			$this->indexCustomTitle2 = $this->getRegistryValue("indexCustomTitle2");
			$this->indexCustomContent2 = $this->getRegistryValue("indexCustomContent2");
			$this->indexCustomTitle3 = $this->getRegistryValue("indexCustomTitle3");
			$this->indexCustomContent3 = $this->getRegistryValue("indexCustomContent3");
			$this->ModifiedTime = $this->getRegistryValue("ModifiedTime");
			$this->pageBannerType = $this->getRegistryValue("pageBannerType");
			$this->smallPictureShow = $this->getRegistryValue("smallPictureShow");
			$this->categorySidePageShow = $this->getRegistryValue("categorySidePageShow");
			$this->webName = $this->getRegistryValue("webName");
			$this->webEmail = $this->getRegistryValue("webEmail");
			$this->webEmailisShow = $this->getRegistryValue("webEmailisShow");
			$this->webAddress = $this->getRegistryValue("webAddress");
			$this->webAddressisShow = $this->getRegistryValue("webAddressisShow");
			$this->webPhone = $this->getRegistryValue("webPhone");
			$this->webMobile = $this->getRegistryValue("webMobile");
			$this->webPhoneisShow = $this->getRegistryValue("webPhoneisShow");
			$this->webFax = $this->getRegistryValue("webFax");
			$this->webFaxisShow = $this->getRegistryValue("webFaxisShow");
			$this->webType = $this->getRegistryValue("webType");
			$this->transPrice = $this->getRegistryValue("transPrice");
			$this->transFreePrice = $this->getRegistryValue("transFreePrice");
			$this->systemEmail1 = $this->getRegistryValue("systemEmail1");
			$this->systemEmail2 = $this->getRegistryValue("systemEmail2");
			$this->systemEmail3 = $this->getRegistryValue("systemEmail3");
			$this->systemEmail4 = $this->getRegistryValue("systemEmail4");
			$this->systemEmail5 = $this->getRegistryValue("systemEmail5");
			$this->sendMailType = $this->getRegistryValue("sendMailType");
			$this->sendMailAddress = $this->getRegistryValue("sendMailAddress");
			$this->sendMailPassword = $this->getRegistryValue("sendMailPassword");
			$this->sendMailHost = $this->getRegistryValue("sendMailHost");
			$this->sendMailPort = $this->getRegistryValue("sendMailPort");
			$this->sendMailSMTPSecure = $this->getRegistryValue("sendMailSMTPSecure");
			$this->sendMailSMTPAuth = $this->getRegistryValue("sendMailSMTPAuth");
			$this->webTitle = $this->getRegistryValue("webTitle");
			$this->webKeyword = $this->getRegistryValue("webKeyword");
			$this->webDescription = $this->getRegistryValue("webDescription");
			$this->webH1 = $this->getRegistryValue("webH1");
			$this->webMarquee = $this->getRegistryValue("webMarquee");
			$this->webCopy = $this->getRegistryValue("webCopy");
			$this->webFooter = $this->getRegistryValue("webFooter");
			$this->webJumpType = $this->getRegistryValue("webJumpType");
			$this->webJumpImage = $this->getRegistryValue("webJumpImage");
			$this->webJumpLink = $this->getRegistryValue("webJumpLink");
			$this->webTemplates = $this->getRegistryValue("webTemplates");
			$this->sideNavShow = $this->getRegistryValue("sideNavShow");
			$this->ContactName = $this->getRegistryValue("ContactName");
			$this->webContact = $this->getRegistryValue("webContact");
			$this->OrderName = $this->getRegistryValue("OrderName");
			$this->webOrder = $this->getRegistryValue("webOrder");
			$this->LineOpen = $this->getRegistryValue("LineOpen");
			$this->DemoImage1 = $this->getRegistryValue("DemoImage1");
			$this->DemoImage2 = $this->getRegistryValue("DemoImage2");
			$this->TIPClose = $this->getRegistryValue("TIPClose");
			$this->webPopUpBox = $this->getRegistryValue("webPopUpBox");
		}

		public function getRegistryValue($name){
			return registryDAL::getRegistryValue($name);
		}

		static $instance;
		static public function createInstance(){
			if(!isset($instance))
				self::$instance = new registry();
			return self::$instance;
		}
	}
?>